<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Resolve Pending Requests · Reployee</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
    <link rel="stylesheet" href="../styles/styles.css">
</head>
<body>
    <nav class="navbar navbar-expand-md navbar-light bg-light">
        <div class="container-xxl">
            <a class="navbar-brand" href="#">
                <img src="../images/Reployee_Logo.jpg" alt="" width="30" height="30" class="d-inline-block align-top">
                <strong>Reployee</strong>
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
              <ul class="navbar-nav">
                <li class="nav-item">
                  <a class="nav-link" href="manager_home.html">Manager Dashboard</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link active" aria-current="page">Resolve Pending Requests</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="view_all_pending.html">View All Pending Requests</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="view_all_resolved.html">View All Resolved Requests</a>
                </li>
              </ul>

              <div class="dropdown ms-auto">
                <a class="dropdown-toggle text-decoration-none" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                  Guest
                </a>
                <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                  <!-- <li><a class="dropdown-item" href="#">Profile</a></li>
                  <li><hr class="dropdown-divider"></li> -->
                  <li><button class="dropdown-item" type="button" id="logout-btn">Logout</button></li>
                </ul>
              </div>
            </div>
        </div>
    </nav>

    <div class="container-xxl">
        <div class="row my-5">
            <div class="col">
                <h1 class="display-6 text-center text-white">Resolve Pending Requests</h1>
            </div>
        </div>

        <div class="row mb-5 align-items-center justify-content-center" id="success-card" hidden>
          <div class="col-10 col-sm-8 col-md-6 col-lg-4">
              <div class="card border-success">
                  <h4 class="card-header bg-transparent border-success text-success text-center">Request Resolved</h4>
                  <div class="card-body">
                      <p class="card-title text-center my-4">The employee who owned the request should be notified shortly.</p>
                      <div class="d-grid gap-2 col-6 mb-4 mx-auto"> 
                          <a class="btn btn-success" href="manager_home.html">Back to Dashboard</a>
                      </div>
                  </div>
              </div>
          </div>
      </div>

      <div class="row mb-5 align-items-center justify-content-center" id="failure-card" hidden>
          <div class="col-10 col-sm-8 col-md-6 col-lg-4">
              <div class="card border-danger">
                  <h4 class="card-header bg-transparent border-danger text-danger text-center">Resolution Failed</h4>
                  <div class="card-body">
                      <p class="card-title text-center my-4">Something went wrong while trying to resolve the request, please try again.</p>
                  </div>
              </div>
          </div>
      </div>

        <div class="row gy-3 mb-5 align-items-center justify-content-center" id="request-details" hidden>
          <div class="col-10 col-sm-8 col-md-6 col-lg-4">
              <div class="card">
                  <div class="card-body">
                      <h5 class="card-text mt-4" id="request-id">Request ID# </h5>
                      <h5 class="card-text" id="employee-name">Name</h5>
                      <h3 class="card-title my-4" id="description">Description</h3>
                      <h5 class="card-text">Total Cost</h5>
                      <h1 class="display-5 mb-4" id="total-cost">Price Amount</h1>
                      <h5 class="card-text mb-4" id="purchase-date">Purchase Date</h5>
                      <div class="d-grid gap-2 col-6 mb-4 mx-auto"> 
                          <button class="btn btn-success" id="approve-btn">Approve</button>
                          <button class="btn btn-danger" id="deny-btn">Deny</button>
                      </div>
                  </div>
              </div>
          </div>

          <!-- Force next columns to break to new line -->
          <div class="w-100"></div>

          <div class="col-10 col-sm-8 col-md-6 col-lg-4">
            <div class="card">
                <div class="card-body">
                  <h4 class="card-title my-4 text-center">Back to Pending Requests</h4>
                    <div class="d-grid gap-2 col-6 mb-4 mx-auto"> 
                        <button class="btn btn-success" id="back-to-pending-btn">Back</button>
                    </div>
                </div>
            </div>
          </div>
        </div>

        <div class="row mb-5 align-items-center justify-content-center" id="main-pending-content" hidden>
            <div class="col-10">
                <div class="card">
                    <div class="card-body">

                        <div class="my-4" id="no-pending-requests" hidden>
                            <h4 class="card-title text-center">There are currently no pending requests to resolve.</h4>
                            <div class="d-grid gap-2 col-6 mt-4 mx-auto"> 
                                <a class="btn btn-success" href="manager_home.html">Back to Dashboard</a>
                            </div>
                        </div>

                        <div class="my-4" id="retrieval-error" hidden>
                          <h4 class="card-title text-center">A problem occurred while trying to retrieve all pending requests. Please try again later.</h4>
                          <div class="d-grid gap-2 col-6 mt-4 mx-auto"> 
                              <a class="btn btn-danger" href="manager_home.html">Back to Dashboard</a>
                          </div>
                        </div>

                        <div class="my-4" id="pending-requests-table">
                          <h4 class="card-title text-center my-4">Pending Requests</h4>
                          <p class="card-text text-center mb-4">Please select a request to approve/deny. 
                            (Note: any requests that were submitted by your account will not be shown and must be approved by another manager.)
                          </p>
                          <table class="table table-hover">
                            <tbody id="pending-requests-body">
                            </tbody>
                          </table>
                        </div>
                        
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>
    <script src="../scripts/ajax_requests.js"></script>
    <script src="../scripts/redirect_to_login.js"></script>
    <script src="../scripts/resolve_request.js"></script>
    <script src="../scripts/logout.js"></script>
</body>
</html>